//---------------------------------------------------------------------------//
//
//	Secret Garden - Enemy
//
//	Date : 2008/05/25
//
//---------------------------------------------------------------------------//

#pragma once

#include "main.h"

class CEnemy : public CGameState
{
private :
	CTexture* m_pEnemy;	// ̹
	CollisionRect* m_pColRect;	// 浹ó 簢 ǥ

	int m_x, m_y;		//  x,y ǥ
	int m_direction;	//  ִ 
	
	float m_imageDirection; // ̹  ϴ 
	
public :
	enum
	{
		none =0,
		LEFT,
		RIGHT,
		UP,
		DOWN
	};

public :
	CEnemy();			// , ü, ʱǥ 
	~CEnemy();

	bool Init();		// override
	int Update();		// overide
	void Release();		// override
	void Render(CRenderer *pRenderer);	// override

	//!  浹ó Լ.
	CollisionRect* GetColRect();

	//!  δ.
	void Move();	//  ǥ  δ.
	void Move(int _direction); //overoad.

	//!   ȯ
	void SetDirection(int _direction);	//  ̴  .
	void ImageRotation(int);	// ̹  .
	
	//!  Լ
	void AddX(int _x);	// xǥ
	void AddY(int _y);	// yǥ

	//!   Լ
	void SetX(int _x);	// xǥ
	void SetY(int _y);	// yǥ

	//!   Լ
	int AddX();
	int AddY();

	int GetX();
	int GetY();
	
	//!    Ѵ.
	int GetDirection();

};

