//---------------------------------------------------------------------------//
//
//	Secret Garden - Game Result
//
//	Date : 2008/05/06
//
//---------------------------------------------------------------------------//

#include "GameResult.h"

CGameResult::CGameResult()
{
	
}

CGameResult::~CGameResult()
{
	
}

bool CGameResult::Init(CGameStateTranslator* pTranslator)
{
	//̹ ε   (ĳͿ 濡 ´  )
	m_LastScene =  new CTexture;
	m_LastScene -> Load(_T("texture\\LastScene.png"));
	
	m_character_Boy =  new CTexture;
	m_character_Boy -> Load(_T("texture\\Character Boy.png"));
	
	m_character_Cat_Girl =  new CTexture;
	m_character_Cat_Girl -> Load(_T("texture\\Character Cat Girl.png"));

	m_character_Horn_Girl =  new CTexture;
	m_character_Horn_Girl -> Load(_T("texture\\Character Horn Girl.png"));

	m_character_Pink_Girl =  new CTexture;
	m_character_Pink_Girl -> Load(_T("texture\\Character Pink Girl.png"));

	m_character_Princess_Girl =  new CTexture;
	m_character_Princess_Girl -> Load(_T("texture\\Character Princess Girl.png"));

	m_BackGround =  new CTexture;
	m_BackGround -> Load(_T("texture\\BackGround.png"));

	// ش簪 ʱȭ
	alpha			=	0;

	// y ĳ͸  ϱ  ϰ ʱȭ
	CatGirl_y		=	START_POINT;
	Horngirl_y		=	START_POINT;
	PinkGirl_y		=	START_POINT;
	PrincessGirl_y	=	START_POINT;

	return true;
}

void CGameResult::Release()
{
	// ޸ 

	SAFE_DELETE(m_character_Boy);
	SAFE_DELETE(m_character_Cat_Girl);
	SAFE_DELETE(m_character_Horn_Girl);
	SAFE_DELETE(m_character_Pink_Girl);
	SAFE_DELETE(m_character_Princess_Girl);
	SAFE_DELETE(m_BackGround);
	SAFE_DELETE(m_LastScene);
	
}

int CGameResult::Update()
{
	alpha+=2;
	// Ʈÿ ȭ ȯ  IF  
	if(alpha >=1800)	{
		alpha =	1800;

	}else{

		// y  ĳͺ ӵ 
		CatGirl_y -= 3.8;
		Horngirl_y -= 4;
		PinkGirl_y -= 3;
		PrincessGirl_y -= 2.8;

		if(CatGirl_y <= END_POINT)	{
		CatGirl_y= END_POINT;
		}

		if(Horngirl_y <= END_POINT)	{
		Horngirl_y = END_POINT;
		}

		if(PinkGirl_y <= END_POINT)	{
		PinkGirl_y = END_POINT;
		}

		if(PrincessGirl_y <= END_POINT)	{
		PrincessGirl_y = END_POINT;
		}
	}
	return true;
}

void CGameResult::Render(CRenderer* pRenderer)
{
	pRenderer->BeginDrawTexture(800,600);

	if(alpha < 1200)
	{
		//  κ
		pRenderer->DrawTextureEx(m_BackGround, 0, 0, 1180, 1200, 0, 0, 0, 0, 0xffffffff, 0.8f);

		//ĳ derer->DrawT
		pRenderer->DrawTextureEx(m_character_Cat_Girl, 0, CatGirl_y, 1180, 1180, 230.0f, 25.0f, 0 ,0, 0xffffffff, 0.5f);
		pRenderer->DrawTextureEx(m_character_Horn_Girl, 0, Horngirl_y, 1180, 1180, 330.0f, 25.0f, 0, 0, 0xffffffff, 0.5f);
		pRenderer->DrawTextureEx(m_character_Pink_Girl, 0, PinkGirl_y, 1180, 1180, 430.0f, 25.0f, 0, 0, 0xffffffff, 0.5f);
		pRenderer->DrawTextureEx(m_character_Princess_Girl, 0, PrincessGirl_y, 1180, 1180, 530.0f, 25.0f, 0, 0, 0xffffffff, 0.5f);
	}

	else if(alpha > 1200 && alpha < 1400){
	
		//  κ
		pRenderer->DrawTexture(m_LastScene, 150, 50, 0xffffffff);

		//ĳ 
		pRenderer->DrawTextureEx(m_character_Cat_Girl, 0, 0, 1180, 1180, 290.0f, 400.0f, 0 ,0, 0xffffffff, 0.7f);
		pRenderer->DrawTextureEx(m_character_Horn_Girl, 0, 0, 1180, 1180, 360.0f, 400.0f, 0 ,0, 0xffffffff, 0.7f);
		pRenderer->DrawTextureEx(m_character_Pink_Girl, 0, 0, 1180, 1180, 430.0f, 400.0f, 0 ,0, 0xffffffff, 0.7f);
		pRenderer->DrawTextureEx(m_character_Boy, 0, 0, 1180, 1180, 500.0f, 400.0f, 0 ,0, 0xffffffff, 0.7f);
		pRenderer->DrawTextureEx(m_character_Princess_Girl, 0, 0, 1180, 1180, 430.0f, 200.0f, 0 ,0, 0xffffffff, 0.7f);
	}

	else if(alpha > 1400){

		m_pTranslator = new CGameStateTranslator;
		m_pTranslator->m_nPrevState = CGameState::GAME_RESULT;
		m_pTranslator->m_nNextState = CGameState::GAME_MENU;
		m_pTranslator->Translate();
		
	}
		pRenderer->EndDrawTexture();
}