//---------------------------------------------------------------------------//
//
//	Secret Garden - Title
//
//	Date : 2008/05/06
//
//---------------------------------------------------------------------------//

#include "Title.h"



CTitle::CTitle()
{
}
	
CTitle::~CTitle()
{
}

bool CTitle::Init(CGameStateTranslator* pTranslator)
{
	alpha=0;
	y=50;
	cnt=0;

	title = new CTexture;
	title->Load(_T("texture\\gamelogo.png"));
	return true;
}

void CTitle::Release()
{
	SAFE_DELETE(title);
}

int CTitle::Update()
{
	alpha += 4;

	if (alpha >= 255)
	{
		alpha = 255;
	    y -= 2;

	    if (y <= -90)
	    {
			y = -90;
			++cnt;
			if (cnt >= 60)
			{
				m_pTranslator = new CGameStateTranslator;
				m_pTranslator->m_nPrevState = CGameState::TITLE;
				m_pTranslator->m_nNextState = CGameState::GAME_MENU;
				m_pTranslator->Translate();
			}
	    }
    }

	return true;
}

void CTitle::Render(CRenderer* pRenderer)
{
	pRenderer->BeginDrawTexture(800,600);

	pRenderer->DrawTexture(title, 150, y, (alpha << 24) | 0x00ffffff);

	//pRenderer->DrawTextureEx(title, 0, 0, 512, 128, 200, 200, 256.0f, 64.0f, 0xffffffff, 0.5f, m_fRot);//

	pRenderer->EndDrawTexture();
}