//---------------------------------------------------------------------------//
//
//	Secret Garden - Character Select
//
//	Date : 2008/05/06
//
//---------------------------------------------------------------------------//

#pragma once

#include "main.h"

class CCharacterSelect : public CGameState
{
private:

	CTexture*	m_pSelectLogo;

	CTexture*	m_pPinkSelect;
	CTexture*	m_pCatSelect;
	CTexture*	m_pPrincessSelect;

	CTexture*	m_pPinkSelectS;
	CTexture*	m_pCatSelectS;
	CTexture*	m_pPrincessSelectS;

	int			m_x, m_y;
	int			selected;


public:
	CCharacterSelect();
	~CCharacterSelect();

	bool Init(CGameStateTranslator* pTranslator); // override
	void Release(); // override
	int Update(); // override
	void Render(CRenderer* pRenderer); // override
};