//---------------------------------------------------------------------------//
//
// Secret Garden - Game Main
//
// Date : 2008/05/05
//
//---------------------------------------------------------------------------//

#pragma once

#include "main.h"
#include "Hero.h"
#include "Enemy.h"
#include "Map.h"

class CGameMainTranslator : public CGameStateTranslator
{
public:
 int m_nSelectedCharacter;

public:
 CGameMainTranslator();
 ~CGameMainTranslator();
};

//! Game Logic Part
class CGameMain : public CGameState
{
private:
 //CGameMainTranslator* m_pGameMainTranslator;

 CHero* m_pHero;
 CEnemy* m_pEnemy;
 CMap* m_pMap;

 //! ĳ 浹ó 
 bool colWithEnemy;  //  
 bool colWithRock;  // 
 bool colWithRockMove; // ̴ 
 bool colWithGem;  // 
 bool colWithKey;  // 
 bool colWithDoorOpen; // 

 //!  浹ó 
 bool colWithTemp;  //  浹ó  (ӽ  )

 bool m_herodead;  // ĳ hpҿ
 int m_tempScore;  // ش   
 

private:
 //! TILE_XY_TILE;
 enum{
  WIDTH  = 128, // 
  HEIGHT = 128, // 
 };

public:
 CGameMain();
 ~CGameMain();

 bool Init(CGameStateTranslator* pTranslator); // override
 void Release(); // override
 int Update(); // override
 void Render(CRenderer* pRenderer); // override // ׸׸

 void CollisionTest();     // hero, enemy, wall  浹׽Ʈ  
 bool IsCrash(CollisionRect* r_ColRect1, CollisionRect* r_ColRect2);  // 浹ϸ 1, ƴϸ 0

};