//---------------------------------------------------------------------------//
//
//	Secret Garden - Hero
//
//	Date : 2008/05/25
//
//---------------------------------------------------------------------------//

#include "Hero.h"

//---------------------------------------------------------------------------//
//	Hero Class
//---------------------------------------------------------------------------//

CHero::CHero()
{
}

CHero::~CHero()
{
}

// ===========================================================

bool CHero::Init()
{
	m_score = 0;
	//m_pHero = new CTexture;
	//m_pHero->Load(_T("texture\\Character Cat Girl.png"));

	m_x = 0;
	m_y = 0;
	
	//! 浹ó Rect
	//m_pColRect = new CollisionRect;

	//! ? Ƚ  
	m_vibrateNum = 0;

	return true;
}

// ===========================================================

bool CHero::Init(int _SelectedCharacter)
{
	m_score = 0;
	m_pHero = new CTexture;

	switch (_SelectedCharacter)
	{
		case 1 :
			m_pHero->Load(_T("texture\\Character Pink Girl.png"));
			break;
		case 2 :
			m_pHero->Load(_T("texture\\Character Cat Girl.png"));
			break;
		case 3 :
			m_pHero->Load(_T("texture\\Character Princess Girl.png"));
			break;
		default :
			break;
	}

	
	m_x = 0;
	m_y = 0;
	
	//! 浹ó Rect
	m_pColRect = new CollisionRect;

	//! ? Ƚ  
	m_vibrateNum = 0;

	return true;
}

void CHero::Release()
{
	SAFE_DELETE(m_pHero);
}

//! 浹  ġ  Ӹ 
int CHero::Update()
{
	m_pColRect->x1 = m_x + 21;
	m_pColRect->x2 = m_x + 21 + 60;
	m_pColRect->y1 = m_y + 74;
	m_pColRect->y2 = m_y + 60 + 62;

	return true;
}

//! ΰ ȭ鿡 ׸
void CHero::Render(CRenderer* pRenderer)
{
	pRenderer->DrawTexture(m_pHero,this->m_x + 32, this->m_y + -40);
}


// ===========================================================
//! ΰ  
bool CHero::DeadMotion()
{
	if (m_vibrateNum%10 == 0)
	{
		m_x+=4;
	}
	else if (m_vibrateNum%10 == 5)
	{
		m_x-=4;
	}
	m_vibrateNum++;
	
	if (m_vibrateNum >= 80)
	{
		m_vibrateNum = 0;
		return false;
	}
	return true;
}


// ===========================================================
//!   Լ

void CHero::AddX(int _x)
{
	m_x += _x;
}

void CHero::AddY(int _y)
{
	m_y += _y;
}

void CHero::AddScore(int _score)
{
	m_score += _score;
}


// ===========================================================
//!   Լ
void CHero::SetX(int _x)
{
	m_x = _x;
}

void CHero::SetY(int _y)
{
	m_y = _y;
}


void CHero::SetScore(int _score)
{
	m_score = _score;
}

void CHero::SetDirection(int _direction)
{
	m_direction = _direction;
}

void CHero::SetEnergy(int _energy)
{
	m_energy = _energy;
}


// ===========================================================
//!   Լ

int CHero::GetX()
{
	return m_x;
}

int CHero::GetY()
{
	return m_y;
}

int CHero::GetEnergy()
{
	return m_energy;
}

int CHero::GetScore()
{
	return m_score;
}

int CHero::GetDirection()
{
	return m_direction;
}

CollisionRect* CHero::GetColRect()
{
	return m_pColRect;

}


