//---------------------------------------------------------------------------//
//
//	Secret Garden - Hero
//
//	Date : 2008/05/25
//
//---------------------------------------------------------------------------//

#pragma once
#include "main.h"



class CHero : public CGameState
{
public :
	enum
	{
		none =0,
		LEFT,
		RIGHT,
		UP,
		DOWN
	};

private :
	CTexture*	m_pHero;				// ΰ Texture

	int m_x, m_y;						// ΰ ǥ
	int m_energy;						// 
	int m_score;						// 
	
	int m_vibrateNum;					//! ? ΰ 浹Ƚ ó
	int m_direction;					// ΰ  

	CollisionRect* m_pColRect;			// 浹ó 簢 ǥ

public :
	CHero();
	~CHero();
	
	bool Init();								// override
	bool Init(int _SelectedCharacter);			// overloading
	int Update();								// overide
	void Release();								// override
	void Render(CRenderer* pRenderer);			// ΰ ȭ鿡 ׸

	//------------------------------------------
	//! ΰ  
	bool DeadMotion();	

	//!   Լ (ǥ, )
	void AddX(int _x);							// x ǥ
	void AddY(int _y);							// y ǥ
	void AddScore(int _score);					// 

	//!   Լ 
	void SetX(int _x);							// x ǥ
	void SetY(int _y);							// y ǥ
	void SetScore(int _score);					// 
	void SetDirection(int _direction);			// Ű ̵
	void SetEnergy(int _energy);				// 

	//!   Լ
	int GetX();									// x ǥ
	int GetY();									// y ǥ
	int GetDirection();							// ̵
	int GetScore();								// 
	int GetEnergy();							// 
	CollisionRect* GetColRect();				// 浹
	
};
