//---------------------------------------------------------------------------//
//
//	Framework
//
//	Date : 2008/04/07
//
//---------------------------------------------------------------------------//

#include "winapp.h"
#include "graphics.h"
#include "input.h"
#include "timer.h"

//!  ũ  ͸  ִ Ŭ. ߰  ʿϸ  Ŭ ӹ޾ ȮѴ.
class FRAMEWORK_API CFrameworkConfig
{
public:
	TCHAR		m_szAppName[256];
	TCHAR		m_szClassName[256];
	int			m_nWidth;
	int			m_nHeight;
	bool		m_bFullScreen;
	int			m_nFPS;

public:
	CFrameworkConfig();
	virtual ~CFrameworkConfig();

	
	virtual bool Load(const tstring& strFilename);//<! XMLϿ  ũ  εѴ.
};

//!  ũ Ŭ.   ϴ ø̼ǵ  Ŭ  ӹ޾ ȮѴ.
class FRAMEWORK_API CFramework : public CWindowApp
{
protected:
	CFrameworkConfig*	m_pConfig;
	CTimer*				m_pTimer;
	CTimerSync*			m_pTimerSync;
	CRenderer*			m_pRenderer;
	float				m_fRenderFps;

public:
	CFramework();
	virtual ~CFramework();

	//! CFrameworkConfig ̿Ͽ ӿũ ʱȭ Ѵ.
	virtual bool Init(CFrameworkConfig* pConfig);
	//! ӿũ Ѵ.
	virtual void Release();

	//! ӿũ η Ѵ. ø̼  ۽Ų.
	virtual void Run();
	//!  ޽ óϰ  ð Ǵ κ ø̼  Ʈ  Ѵ. (override)
	virtual void Idle(); // override
	//! ͸ Ʈ ϴ Լ. ӹ Ŭ override ؼ Ѵ.
	virtual int Update() = 0;
	//! Ʈ ͸ ȭ鿡  ϴ Լ. ӹ Ŭ override ؼ Ѵ.
	virtual void Render() = 0;
	//! ӿũ  ν (override)
	virtual LRESULT WndProc(HWND hWnd, UINT Message, WPARAM wParam, LPARAM lParam); // override

protected:
	//! CFrameworkConfig    ӿũ ʱȭ Ѵ.
	virtual bool Init();
};